<!-- Aplikasi Antrian Berbasis Web 
**********************************************
* Developer   : Indra Styawantoro
* Company     : Indra Studio
* Release     : Juni 2021
* Update      : -
* Website     : www.diaplikasi.com
* E-mail      : indra.setyawantoro@gmail.com
* WhatsApp    : +62-821-8686-9898
-->

<!doctype html>
<html lang="en" class="h-100">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="description" content="Aplikasi Antrian Berbasis Web">
  <meta name="author" content="Indra Styawantoro">

  <!-- Title -->
  <title>Aplikasi Antrian Berbasis Web</title>

  <!-- Favicon icon -->
  <link rel="shortcut icon" href="../assets/img/favicon.png" type="image/x-icon">

  <!-- Bootstrap CSS -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">

  <!-- Bootstrap Icons -->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">

  <!-- Font -->
  <link href="https://fonts.googleapis.com/css?family=Arial:100,200,300,400,500,600,700,800,900&amp;display=swap" rel="stylesheet">

  <!-- Custom Style -->
  <link rel="stylesheet" href="../assets/css/style.css">
</head>

<body class="d-flex flex-column h-100">
  <main class="flex-shrink-0">
    <div class="container pt-5">
      <div class="mb-5 text-center">
        <h1>AMBIL ANTRIAN</h1>
      </div>
      <div class="row justify-content-lg-center">
        <?php
        require_once "../config/database.php";
        $dt = mysqli_query($mysqli, "SELECT * FROM tbl_jenis_loket WHERE status = 'on'");
        while ($s = mysqli_fetch_array($dt)) {
        ?>
          <div class="col-lg-5 mb-4">
            <div class="card border-0 shadow-sm">
              <div class="card-header bg-<?= $s['color']; ?> text-white">
                <div class="d-flex align-items-center me-md-auto">
                  <h1 class="h5 pt-2"><?= $s['jenis_loket']; ?></h1>
                </div>
              </div>
              <div class="card-body text-center d-grid p-5">
                <div class="border border-<?= $s['color']; ?> rounded-2 py-2 mb-5">
                  <h3 class="pt-4">ANTRIAN</h3>
                  <!-- menampilkan informasi jumlah antrian -->
                  <h1 id="antrian<?= $s['id_jenis']; ?>" class="display-1 fw-bold text-<?= $s['color']; ?> text-center lh-1 pb-2"></h1>
                </div>
                <!-- button pengambilan nomor antrian -->
                <a id="insert<?= $s['id_jenis']; ?>" data-id="<?= $s['id_jenis']; ?>" href="javascript:void(0)" class="btn btn-<?= $s['color']; ?> btn-block fs-5 px-5 py-4 mb-2">
                  Ambil Nomor
                </a>
              </div>
            </div>
          </div>
        <?php } ?>
      </div>
    </div>
  </main>

  <!-- Footer -->
  <footer class="footer mt-auto py-4">
    <div class="container">
      <!-- copyright -->
      <!-- <div class="copyright text-center mb-2 mb-md-0">
        &copy; 2022 - <a href="https://www.diaplikasi.com/" target="_blank" class="text-danger text-decoration-none">Bank Pekalongan</a>. All rights reserved.
      </div> -->
    </div>
  </footer>

  <!-- jQuery Core -->
  <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
  <!-- Popper and Bootstrap JS -->
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.min.js" integrity="sha384-Atwg2Pkwv9vp0ygtn1JAojH0nYbwNJLPhwyoVbhoPwBhjQPR5VtM2+xf0Uwh9KtT" crossorigin="anonymous"></script>

  <script type="text/javascript">
    $(document).ready(function() {
      // tampilkan jumlah antrian
      $('#antrian1').load('get_antrian.php');
      $('#antrian3').load('get_antrian3.php');

      // proses insert data
      $('#insert1').on('click', function() {
        // $('#insert3').on('click', function() {
        $.ajax({
          type: 'POST', // mengirim data dengan method POST
          url: 'insert.php', // url file proses insert data
          success: function(result) { // ketika proses insert data selesai
            // jika berhasil
            if (result === 'Sukses') {
              // tampilkan jumlah antrian
              $('#antrian1').load('get_antrian.php').fadeIn('slow');
            }
          },
        });
      });
      $('#insert3').on('click', function() {
        // $('#insert3').on('click', function() {
        $.ajax({
          type: 'POST', // mengirim data dengan method POST
          url: 'insert3.php', // url file proses insert data
          success: function(result) { // ketika proses insert data selesai
            // jika berhasil
            if (result === 'Sukses') {
              // tampilkan jumlah antrian
              $('#antrian3').load('get_antrian3.php').fadeIn('slow');
            }
          },
        });
      });
    });
  </script>
</body>

</html>